Name: H5Dget_space
Signature:
  hid_t `H5Dget_space`(hid_t `dataset_id` )
Purpose:
  Returns an identifier for a copy of the dataspace for a dataset.
Description:
  `H5Dget_space` returns an identifier for a copy of the dataspace for a dataset.

  The dataspace identifier should be released with the `H5Sclose` function.

Parameters:

hid_t `dataset_id` | IN: Identifier of the dataset to query.

Returns:
  Returns a dataspace identifier if successful; otherwise returns a negative value.
Fortran90 Interface: h5dget_space_f

      SUBROUTINE h5dget_space_f(dataset_id, dataspace_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: dataset_id      ! Dataset identifier
        INTEGER(HID_T), INTENT(OUT) :: dataspace_id   ! Dataspace identifier
        INTEGER, INTENT(OUT) :: hdferr                ! Error code
                                                      ! 0 on success and -1 on failure
      END SUBROUTINE h5dget_space_f